libzypp 17.37.10

zypp::sat::detail::Transaction_iterator Class Reference

Transaction iterator. More...

`#include <zypp/sat/Transaction.h>`

Inheritance diagram for zypp::sat::detail::Transaction_iterator:

## Public Member Functions
| Transaction_iterator ()
| Transaction_iterator (const RW_pointer< Transaction::Impl > &pimpl_r, base_type id_r)

## Private Member Functions
reference | dereference () const

## Private Attributes
RW_pointer< Transaction::Impl > | _pimpl
| Pointer to implementation.

## Friends
class | boost::iterator_core_access
class | Transaction_const_iterator

## Detailed Description

Transaction iterator.

Definition at line 292 of file Transaction.h.

## Constructor & Destructor Documentation

## ◆ Transaction_iterator() [1/2]

zypp::sat::detail::Transaction_iterator::Transaction_iterator | ( |  | ) |

Definition at line 462 of file Transaction.cc.

## ◆ Transaction_iterator() [2/2]

zypp::sat::detail::Transaction_iterator::Transaction_iterator | ( | const RW_pointer< Transaction::Impl > & | pimpl_r,
|  | base_type | id_r )
| inline

Definition at line 302 of file Transaction.h.

## Member Function Documentation

## ◆ dereference()

reference zypp::sat::detail::Transaction_iterator::dereference | ( |  | ) | const
| inline private

Definition at line 310 of file Transaction.h.

## Friends And Related Symbol Documentation

## ◆ boost::iterator_core_access

friend class boost::iterator_core_access
| friend

Definition at line 308 of file Transaction.h.

## ◆ Transaction_const_iterator

friend class Transaction_const_iterator
| friend

Definition at line 314 of file Transaction.h.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Transaction::Impl> zypp::sat::detail::Transaction_iterator::_pimpl
| private

Pointer to implementation.

Definition at line 316 of file Transaction.h.

The documentation for this class was generated from the following files:

- zypp/sat/Transaction.h
- zypp/sat/Transaction.cc